The Billing resource provides methods that allow you to manage the billing plans associated with an account.
Methods supported
| Method | Description |
|---|---|
| get | GET /restapi/v2.1/billing_plans/{billingPlanId}Gets billing plan details. |
| getAccountPlan | GET /restapi/v2.1/accounts/{accountId}/billing_planGet Account Billing Plan |
| getCreditCard | GET /restapi/v2.1/accounts/{accountId}/billing_plan/credit_cardGet credit card information |
| getDowngradeRequestBillingInfo | GET /restapi/v2.1/accounts/{accountId}/billing_plan/downgradeReturns downgrade plan information for the specified account. |
| list | GET /restapi/v2.1/billing_plansGets a list of available billing plans. |
| purchaseEnvelopes | PUT /restapi/v2.1/accounts/{accountId}/billing_plan/purchased_envelopesReserved: Purchase additional envelopes. |
| update | PUT /restapi/v2.1/accounts/{accountId}/billing_planUpdates an account billing plan. |
| updateDowngradeAccountBillingPlan | PUT /restapi/v2.1/accounts/{accountId}/billing_plan/downgradeQueues downgrade billing plan request for an account. |
BillingPlans properties
| Property | Type | Description |
|---|---|---|
billingAddress | accountAddress | The billing address for the account. |
billingAddressIsCreditCardAddress | string | When true, the credit card address information is the same as that returned as the billing address. If false, then the billing address is considered a billing contact address, and the credit card address can be different. |
billingPlan | accountBillingPlan | An object that contains details about the billing plan. |
creditCardInformation | creditCardInformation | A complex type that has information about the credit card used to pay for this account. |
directDebitProcessorInformation | directDebitProcessorInformation | Information about the bank that processes direct debits for the payment plan. |
downgradePlanInformation | downgradePlanUpdateResponse | |
downgradeRequestInformation | downgradeRequestInformation | |
entityInformation | billingEntityInformationResponse | |
paymentMethod | string | The payment method used for the billing plan. Valid values are:
|
paymentProcessorInformation | paymentProcessorInformation | Information about the entity that processes payments for the billing plan. |
referralInformation | referralInformation | Contains information describing discounts and promotions. |
successorPlans | array | A list of billing plans that the current billing plan can be rolled into. |
taxExemptId | string |